> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve wallet balance

> Returns the available wallet balances, optionally filtered by asset and blockchain.



## OpenAPI

````yaml /openapi-v2.en.yaml get /v2/wallets/{id}/balance
openapi: 3.0.0
info:
  title: YP API Partner
  description: Integration documentation for YP API partners.
  version: v2
  contact: {}
servers:
  - url: https://sandbox-rampa.mesadepagos.com/api
    description: Sandbox
security: []
tags:
  - name: Auth
    description: ''
  - name: Quotes
    description: ''
  - name: Payin
    description: ''
  - name: Payout
    description: ''
  - name: Wallet
    description: ''
  - name: Queries
    description: ''
  - name: Webhooks
    description: ''
  - name: Fees
    description: ''
  - name: Clients
    description: ''
paths:
  /v2/wallets/{id}/balance:
    get:
      tags:
        - Wallet
      summary: Retrieve wallet balance
      description: >-
        Returns the available wallet balances, optionally filtered by asset and
        blockchain.
      operationId: getVaultBalance
      parameters:
        - name: id
          required: true
          in: path
          description: Wallet or vault identifier.
          schema:
            example: 550e8400-e29b-41d4-a716-446655440001
            type: string
        - name: symbol
          required: false
          in: query
          description: Asset used to filter the balance.
          schema:
            enum:
              - USDC
              - USDT
            type: string
        - name: blockchain
          required: false
          in: query
          description: Blockchain used to filter the balance.
          schema:
            enum:
              - Polygon
              - Ethereum
              - TRON
              - Binance
              - Sepolia
            type: string
      responses:
        '200':
          description: Available balances.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetVaultBalanceResponseDoc'
        '400':
          description: Invalid query parameters or wallet not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponseDoc'
        '401':
          description: Missing, invalid, or expired token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponseDoc'
      security:
        - bearer: []
components:
  schemas:
    GetVaultBalanceResponseDoc:
      type: object
      properties:
        walletId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440001
          description: Wallet or vault identifier.
        balances:
          description: Available balances by asset.
          type: array
          items:
            $ref: '#/components/schemas/WalletBalanceResponseDoc'
      required:
        - walletId
        - balances
    ValidationErrorResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed
        error:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
        - error
    UnauthorizedResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
    WalletBalanceResponseDoc:
      type: object
      properties:
        assetId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
          description: Internal asset identifier.
        symbol:
          type: string
          enum:
            - USDC
            - USDT
          example: USDC
          description: Asset symbol.
        blockchain:
          type: string
          enum:
            - Polygon
            - Ethereum
            - TRON
            - Binance
            - Sepolia
          example: Polygon
          description: Blockchain associated with the balance.
        walletAddress:
          type: object
          example: '0x0000000000000000000000000000000000000000'
          nullable: true
          description: Wallet address associated with the asset.
        balance:
          type: number
          example: 100.5
          description: Available asset balance.
      required:
        - assetId
        - symbol
        - blockchain
        - balance
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT obtained from /v2/auth/login

````